import { Component } from 'react'
import Taro from '@tarojs/taro'
import { connect } from 'react-redux'
import {View, Map, Button} from '@tarojs/components'
import dayjs from 'dayjs';

import { add, minus, asyncAdd } from '../../actions/counter'

import './index.less'


@connect(({ counter }) => ({
  counter
}), (dispatch) => ({
  add () {
    dispatch(add())
  },
  dec () {
    dispatch(minus())
  },
  asyncAdd () {
    dispatch(asyncAdd())
  }
}))
class Index extends Component {
  constructor(props) {
    super(props);
    this.state={
      data:[],
      newArrder:{},
      newList:[
        {
          longitude: 112.9513,
          latitude: 28.23529,
          title:'营销员1',
          label:{
            content:'营销员1'
          }
        },
        {
          longitude: 112.9613,
          latitude: 28.23529,
          title:'营销员2',
        },
        {
          longitude: 112.9713,
          latitude: 28.23529,
          title:'营销员3',
        }
      ],
    }
  }

  componentDidShow () {
    const chooseLocation = requirePlugin('chooseLocation');
    const location = chooseLocation.getLocation();
    console.log(location);
  }

  componentDidMount() {
    Taro.getLocation({
      type: 'gcj02',
      isHighAccuracy:true,
      success: (res)=> {
        const latitude = res.latitude
        const longitude = res.longitude
        console.log(latitude,longitude)
        this.setState({
          newArrder:{
            latitude,
            longitude
          },
        })
      }
    })
    Taro.startLocationUpdateBackground({
      success:()=>{
        Taro.onLocationChange((data) => {
          let arr = this.state.data
          arr.push({
            long:data.longitude,
            latitude:data.latitude
          })
          console.log(arr,'arr')
          this.setState({
            data:this.state.data
          })
        });
      }
    })
  }

  render () {
    return (
      <View>
        <Map
          id="allmap"
          {...this.state.newArrder}
          markers={this.state.newList}
          polyline={[{
            points: [{
              longitude: 112.9513,
              latitude: 28.23529
            }, {
              longitude: 112.9713,
              latitude: 28.23529
            }, {
              longitude: 112.9913,
              latitude: 28.23529
            }, {
              longitude: 112.9313,
              latitude: 28.23529
            },{
              longitude: 112.9313,
              latitude: 28.23529
            },{
              longitude: 112.9313,
              latitude: 28.23529
            }],
            color: "#33c9FFDD",
            width: 3,
            dottedLine: true
          }]}
          circles={[
            {
              longitude: 112.9513,
              latitude: 28.23529,
              color:'#DC3E28',
              fillColor:'#DC3E28',
              radius:50
            }
          ]}
        />
        <Button onClick={()=>{
          const key = 'BP4BZ-JQJED-5DG4N-H6JND-KC5PK-D2BDL'; //使用在腾讯位置服务申请的key
          const referer = '科德高企培育'; //调用插件的app的名称
          const location = JSON.stringify({
            latitude: 39.89631551,
            longitude: 116.323459711
          });
          const category = '生活服务,娱乐休闲';

          Taro.navigateTo({
            url: 'plugin://chooseLocation/index?key=' + key + '&referer=' + referer + '&location=' + location + '&category=' + category
          });
        }}>选址</Button>
      </View>
    )
  }
}

export default Index

